<?xml version="1.0" encoding="utf-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
  xmlns:qdt="urn:un:unece:uncefact:data:standard:QualifiedDataType:103"
  xmlns:udt="urn:un:unece:uncefact:data:standard:UnqualifiedDataType:27"
  xmlns:ram="urn:un:unece:uncefact:data:standard:ReusableAggregateBusinessInformationEntity:103"
  xmlns:uas="urn:ua:signatures:SignaturesExtensions:1"
  targetNamespace="urn:ua:signatures:SignaturesExtensions:1">
<xsd:import namespace="urn:un:unece:uncefact:data:standard:QualifiedDataType:103" schemaLocation="eCMR_100pD20A_urn_un_unece_uncefact_data_standard_QualifiedDataType_103.xsd"/>
<xsd:import namespace="urn:un:unece:uncefact:data:standard:UnqualifiedDataType:27" schemaLocation="eCMR_100pD20A_urn_un_unece_uncefact_data_standard_UnqualifiedDataType_27.xsd"/>
<xsd:import namespace="urn:un:unece:uncefact:data:standard:ReusableAggregateBusinessInformationEntity:103" schemaLocation="eCMR_100pD20A_urn_un_unece_uncefact_data_standard_ReusableAggregateBusinessInformationEntity_103.xsd"/>

<xsd:complexType name="SignatureType">
    <xsd:sequence>
      <xsd:element name="SigningPartyRoleCode" type="qdt:PartyRoleCodeType">
        <xsd:annotation>
          <xsd:documentation source="UA">Учасник, який накладає підпис</xsd:documentation>
        </xsd:annotation>
      </xsd:element>
      <xsd:element name="PartySignature" type="xsd:base64Binary">
        <xsd:annotation>
          <xsd:documentation source="UA">Підпис, закодований в base64</xsd:documentation>
        </xsd:annotation>
      </xsd:element>
      <xsd:element name="Name" type="udt:TextType" minOccurs="0">
        <xsd:annotation>
          <xsd:documentation source="UA">ПІБ підписувача</xsd:documentation>
        </xsd:annotation>
      </xsd:element>
      <xsd:element name="Position" type="udt:TextType" minOccurs="0">
        <xsd:annotation>
          <xsd:documentation source="UA">посада підписувача</xsd:documentation>
        </xsd:annotation>
      </xsd:element>
      <xsd:element name="SpecifiedTaxRegistration" type="ram:TaxRegistrationType" minOccurs="1">
        <xsd:annotation>
          <xsd:documentation source="BN/BN">Tax Registration</xsd:documentation>
        </xsd:annotation>
      </xsd:element>
    </xsd:sequence>
  </xsd:complexType>

  <xsd:complexType name="UaSignatureStorageType">
    <xsd:annotation>
      <xsd:documentation>Ukraine Extension for eCMR e-signatures storage</xsd:documentation>
    </xsd:annotation>
      <xsd:sequence>
      <xsd:element name="VisualReferencedDocument" type="ram:ReferencedDocumentType" minOccurs="0">
        <xsd:annotation>
          <xsd:documentation source="UA">Графічне відображення документу</xsd:documentation>
        </xsd:annotation>
      </xsd:element>
      <xsd:element name="Signature" type="uas:SignatureType" minOccurs="1" maxOccurs="unbounded" />
      </xsd:sequence>
  </xsd:complexType>

</xsd:schema>